### Method

# St Entry set_hint_text

#### Declaration [src]

    void
    st_entry_set_hint_text (
      StEntry* entry,
      const gchar* text
    )

#### Description [src]

Sets the text to display when the entry is empty and unfocused. When the entry is displaying the hint, it has a pseudo class of `indeterminate`. A value of `NULL` unsets the hint.

Sets property | `St.Entry:hint-text`

#### Parameters

`text`

  Type: `const gchar*`

  Text to set as the entry hint.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.